org.apache.ignite.igfs.mapreduce

## Class IgfsTaskNoReduceAdapter<T,R>

- java.lang.Object
- - org.apache.ignite.compute.ComputeTaskAdapter<IgfsTaskArgs<T>,R>
  - - org.apache.ignite.igfs.mapreduce.IgfsTask<T,R>
    - - org.apache.ignite.igfs.mapreduce.IgfsTaskNoReduceAdapter<T,R>

All Implemented Interfaces:
  Serializable, ComputeTask<IgfsTaskArgs<T>,R>

    public abstract class IgfsTaskNoReduceAdapter<T,R>
    extends IgfsTask<T,R>

Convenient `IgfsTask` adapter with empty reduce step. Use this adapter in case you are not interested in results returned by jobs.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsTaskNoReduceAdapter()`

### Method Summary

Methods
`R` `reduce(List<ComputeJobResult> results)` Default implementation which will ignore all results sent from execution nodes.

### Methods inherited from class org.apache.ignite.igfs.mapreduce.IgfsTask

`createJob, map`

### Methods inherited from class org.apache.ignite.compute.ComputeTaskAdapter

`result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsTaskNoReduceAdapter

    public IgfsTaskNoReduceAdapter()

### Method Detail

#### reduce

    public R reduce(List<ComputeJobResult> results)

Default implementation which will ignore all results sent from execution nodes.

Parameters:
  `results` - Received results of broadcasted remote executions. Note that if task class has `ComputeTaskNoResultCache` annotation, then this list will be empty.
Returns:
  Will always return `null`.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015